# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-vorbis
%define fedora 21
%define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")

Summary: Python wrapper for the Ogg Vorbis audio libraries
Name: python-module-vorbis
Version: 1.5
Release: alt1_0.17.a
License: LGPLv2
Group: Development/Python
URL: http://ekyo.nerim.net/software/pyogg/
Source: http://ekyo.nerim.net/software/pyogg/pyvorbis-%{version}a.tar.gz
Patch0: python-vorbis-1.5a-python2.5.patch
BuildRequires: python-devel
BuildRequires: python-module-pyogg-devel
BuildRequires: libvorbis-devel
Source44: import.info

%description
An object-oriented Python binding for the Ogg Vorbis libraries. Ogg is
a multimedia bitstream format. With this you can write your own python
applications to play and encode audio files in Ogg Vorbis format.


%prep
%setup -q -n pyvorbis-%{version}a
%patch0 -p1 -b .python2.5


%build
%{__python} config_unix.py
CFLAGS="%{optflags}" %{__python} setup.py build


%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

 
%files
%doc AUTHORS ChangeLog COPYING NEWS README
%{python_sitelibdir}/ogg/vorbis.so
%if 0%{?fedora} >= 9
%{python_sitelibdir}/pyvorbis-*.egg-info
%endif


%changelog
* Mon Oct 19 2015 Igor Vlasenko <viy@altlinux.ru> 1.5-alt1_0.17.a
- update to new release by fcimport

* Tue Sep 16 2014 Igor Vlasenko <viy@altlinux.ru> 1.5-alt1_0.15.a
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 1.5-alt1_0.14.a
- update to new release by fcimport

* Mon Sep 02 2013 Igor Vlasenko <viy@altlinux.ru> 1.5-alt1_0.13.a
- update to new release by fcimport

* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 1.5-alt1_0.12.a
- update to new release by fcimport

* Sun Dec 30 2012 Igor Vlasenko <viy@altlinux.ru> 1.5-alt1_0.11.a
- initial fc import

